
Microsoft Visual Studio Solution File, Format Version 12.00
# Visual Studio Version 17
VisualStudioVersion = 17.2.32616.157
MinimumVisualStudioVersion = 10.0.40219.1
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "01_HotReload", "HotReload.vcxproj", "{54461F7A-FD05-48C7-ABCC-A9C352C02D84}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "02_ContinuousCompilation", "ContinuousCompilation.vcxproj", "{1A45008A-F933-4C3D-B80D-B3E5B10F14A4}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "03_HotFixCrashRecovery", "HotFixCrashRecovery.vcxproj", "{75D4DC7E-AC05-4A23-9CF3-6A615241D4E9}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "04_UnitySplitting", "UnitySplitting.vcxproj", "{2BE9EA69-385C-4687-B2FC-E110092DE7F9}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "05_ToggleOptimizations", "ToggleOptimizations.vcxproj", "{310C3148-B0C3-44EB-AC18-21E2031AE9CB}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "06_Hooks", "Hooks.vcxproj", "{0B080891-8A40-4B1E-8523-C4D455826DCF}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "07_MultipleProcesses", "MultipleProcesses.vcxproj", "{1E3EC52E-4045-4446-A92D-A6270597B4D2}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "08_HotRestart", "HotRestart.vcxproj", "{EDB47DB4-F563-456A-9860-9DF1434B6EA4}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "09_ClangLLD", "ClangLLD.vcxproj", "{C221E7D7-C146-4428-9AC8-1C1F03D27F98}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "10_NetworkedEditing", "NetworkedEditing.vcxproj", "{6680C748-156E-4B12-A61F-95BD2E857D2D}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "11_FASTBuild", "FASTBuild.vcxproj", "{1408C4E8-F209-4375-84B3-086A2014A7FB}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "12_DynamicallyLoadedDLLs", "DynamicallyLoadedDLLs.vcxproj", "{BEF04863-377F-46EF-BF30-389DFBA43D8D}"
	ProjectSection(ProjectDependencies) = postProject
		{C2AC8449-9181-4EF6-B78C-F65806711364} = {C2AC8449-9181-4EF6-B78C-F65806711364}
	EndProjectSection
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "12_DynamicallyLoadedDLLsPlugin", "DynamicallyLoadedDLLsPlugin.vcxproj", "{C2AC8449-9181-4EF6-B78C-F65806711364}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "13_ArbitraryTarget", "ArbitraryTarget.vcxproj", "{FB1F8A7B-6B94-4B9D-9956-B1551914DF93}"
	ProjectSection(ProjectDependencies) = postProject
		{6516C7A8-5F93-4BE9-B210-FE061CA0BCF5} = {6516C7A8-5F93-4BE9-B210-FE061CA0BCF5}
	EndProjectSection
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "13_ArbitraryTargetNativeModule", "ArbitraryTargetNativeModule.vcxproj", "{6516C7A8-5F93-4BE9-B210-FE061CA0BCF5}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "14_PreBuildStep", "PreBuildStep.vcxproj", "{3B02BFC6-238C-481E-A2EB-DE547C34CEAA}"
EndProject
Global
	GlobalSection(SolutionConfigurationPlatforms) = preSolution
		Debug|Win32 = Debug|Win32
		Debug|x64 = Debug|x64
		Release|Win32 = Release|Win32
		Release|x64 = Release|x64
	EndGlobalSection
	GlobalSection(ProjectConfigurationPlatforms) = postSolution
		{54461F7A-FD05-48C7-ABCC-A9C352C02D84}.Debug|Win32.ActiveCfg = Debug|Win32
		{54461F7A-FD05-48C7-ABCC-A9C352C02D84}.Debug|Win32.Build.0 = Debug|Win32
		{54461F7A-FD05-48C7-ABCC-A9C352C02D84}.Debug|x64.ActiveCfg = Debug|x64
		{54461F7A-FD05-48C7-ABCC-A9C352C02D84}.Debug|x64.Build.0 = Debug|x64
		{54461F7A-FD05-48C7-ABCC-A9C352C02D84}.Release|Win32.ActiveCfg = Release|Win32
		{54461F7A-FD05-48C7-ABCC-A9C352C02D84}.Release|Win32.Build.0 = Release|Win32
		{54461F7A-FD05-48C7-ABCC-A9C352C02D84}.Release|x64.ActiveCfg = Release|x64
		{54461F7A-FD05-48C7-ABCC-A9C352C02D84}.Release|x64.Build.0 = Release|x64
		{1A45008A-F933-4C3D-B80D-B3E5B10F14A4}.Debug|Win32.ActiveCfg = Debug|Win32
		{1A45008A-F933-4C3D-B80D-B3E5B10F14A4}.Debug|Win32.Build.0 = Debug|Win32
		{1A45008A-F933-4C3D-B80D-B3E5B10F14A4}.Debug|x64.ActiveCfg = Debug|x64
		{1A45008A-F933-4C3D-B80D-B3E5B10F14A4}.Debug|x64.Build.0 = Debug|x64
		{1A45008A-F933-4C3D-B80D-B3E5B10F14A4}.Release|Win32.ActiveCfg = Release|Win32
		{1A45008A-F933-4C3D-B80D-B3E5B10F14A4}.Release|Win32.Build.0 = Release|Win32
		{1A45008A-F933-4C3D-B80D-B3E5B10F14A4}.Release|x64.ActiveCfg = Release|x64
		{1A45008A-F933-4C3D-B80D-B3E5B10F14A4}.Release|x64.Build.0 = Release|x64
		{75D4DC7E-AC05-4A23-9CF3-6A615241D4E9}.Debug|Win32.ActiveCfg = Debug|Win32
		{75D4DC7E-AC05-4A23-9CF3-6A615241D4E9}.Debug|Win32.Build.0 = Debug|Win32
		{75D4DC7E-AC05-4A23-9CF3-6A615241D4E9}.Debug|x64.ActiveCfg = Debug|x64
		{75D4DC7E-AC05-4A23-9CF3-6A615241D4E9}.Debug|x64.Build.0 = Debug|x64
		{75D4DC7E-AC05-4A23-9CF3-6A615241D4E9}.Release|Win32.ActiveCfg = Release|Win32
		{75D4DC7E-AC05-4A23-9CF3-6A615241D4E9}.Release|Win32.Build.0 = Release|Win32
		{75D4DC7E-AC05-4A23-9CF3-6A615241D4E9}.Release|x64.ActiveCfg = Release|x64
		{75D4DC7E-AC05-4A23-9CF3-6A615241D4E9}.Release|x64.Build.0 = Release|x64
		{2BE9EA69-385C-4687-B2FC-E110092DE7F9}.Debug|Win32.ActiveCfg = Debug|Win32
		{2BE9EA69-385C-4687-B2FC-E110092DE7F9}.Debug|Win32.Build.0 = Debug|Win32
		{2BE9EA69-385C-4687-B2FC-E110092DE7F9}.Debug|x64.ActiveCfg = Debug|x64
		{2BE9EA69-385C-4687-B2FC-E110092DE7F9}.Debug|x64.Build.0 = Debug|x64
		{2BE9EA69-385C-4687-B2FC-E110092DE7F9}.Release|Win32.ActiveCfg = Release|Win32
		{2BE9EA69-385C-4687-B2FC-E110092DE7F9}.Release|Win32.Build.0 = Release|Win32
		{2BE9EA69-385C-4687-B2FC-E110092DE7F9}.Release|x64.ActiveCfg = Release|x64
		{2BE9EA69-385C-4687-B2FC-E110092DE7F9}.Release|x64.Build.0 = Release|x64
		{310C3148-B0C3-44EB-AC18-21E2031AE9CB}.Debug|Win32.ActiveCfg = Debug|Win32
		{310C3148-B0C3-44EB-AC18-21E2031AE9CB}.Debug|x64.ActiveCfg = Debug|x64
		{310C3148-B0C3-44EB-AC18-21E2031AE9CB}.Release|Win32.ActiveCfg = Release|Win32
		{310C3148-B0C3-44EB-AC18-21E2031AE9CB}.Release|Win32.Build.0 = Release|Win32
		{310C3148-B0C3-44EB-AC18-21E2031AE9CB}.Release|x64.ActiveCfg = Release|x64
		{310C3148-B0C3-44EB-AC18-21E2031AE9CB}.Release|x64.Build.0 = Release|x64
		{0B080891-8A40-4B1E-8523-C4D455826DCF}.Debug|Win32.ActiveCfg = Debug|Win32
		{0B080891-8A40-4B1E-8523-C4D455826DCF}.Debug|Win32.Build.0 = Debug|Win32
		{0B080891-8A40-4B1E-8523-C4D455826DCF}.Debug|x64.ActiveCfg = Debug|x64
		{0B080891-8A40-4B1E-8523-C4D455826DCF}.Debug|x64.Build.0 = Debug|x64
		{0B080891-8A40-4B1E-8523-C4D455826DCF}.Release|Win32.ActiveCfg = Release|Win32
		{0B080891-8A40-4B1E-8523-C4D455826DCF}.Release|Win32.Build.0 = Release|Win32
		{0B080891-8A40-4B1E-8523-C4D455826DCF}.Release|x64.ActiveCfg = Release|x64
		{0B080891-8A40-4B1E-8523-C4D455826DCF}.Release|x64.Build.0 = Release|x64
		{1E3EC52E-4045-4446-A92D-A6270597B4D2}.Debug|Win32.ActiveCfg = Debug|Win32
		{1E3EC52E-4045-4446-A92D-A6270597B4D2}.Debug|Win32.Build.0 = Debug|Win32
		{1E3EC52E-4045-4446-A92D-A6270597B4D2}.Debug|x64.ActiveCfg = Debug|x64
		{1E3EC52E-4045-4446-A92D-A6270597B4D2}.Debug|x64.Build.0 = Debug|x64
		{1E3EC52E-4045-4446-A92D-A6270597B4D2}.Release|Win32.ActiveCfg = Release|Win32
		{1E3EC52E-4045-4446-A92D-A6270597B4D2}.Release|Win32.Build.0 = Release|Win32
		{1E3EC52E-4045-4446-A92D-A6270597B4D2}.Release|x64.ActiveCfg = Release|x64
		{1E3EC52E-4045-4446-A92D-A6270597B4D2}.Release|x64.Build.0 = Release|x64
		{EDB47DB4-F563-456A-9860-9DF1434B6EA4}.Debug|Win32.ActiveCfg = Debug|Win32
		{EDB47DB4-F563-456A-9860-9DF1434B6EA4}.Debug|Win32.Build.0 = Debug|Win32
		{EDB47DB4-F563-456A-9860-9DF1434B6EA4}.Debug|x64.ActiveCfg = Debug|x64
		{EDB47DB4-F563-456A-9860-9DF1434B6EA4}.Debug|x64.Build.0 = Debug|x64
		{EDB47DB4-F563-456A-9860-9DF1434B6EA4}.Release|Win32.ActiveCfg = Release|Win32
		{EDB47DB4-F563-456A-9860-9DF1434B6EA4}.Release|Win32.Build.0 = Release|Win32
		{EDB47DB4-F563-456A-9860-9DF1434B6EA4}.Release|x64.ActiveCfg = Release|x64
		{EDB47DB4-F563-456A-9860-9DF1434B6EA4}.Release|x64.Build.0 = Release|x64
		{C221E7D7-C146-4428-9AC8-1C1F03D27F98}.Debug|Win32.ActiveCfg = Debug|Win32
		{C221E7D7-C146-4428-9AC8-1C1F03D27F98}.Debug|x64.ActiveCfg = Debug|x64
		{C221E7D7-C146-4428-9AC8-1C1F03D27F98}.Debug|x64.Build.0 = Debug|x64
		{C221E7D7-C146-4428-9AC8-1C1F03D27F98}.Release|Win32.ActiveCfg = Release|Win32
		{C221E7D7-C146-4428-9AC8-1C1F03D27F98}.Release|x64.ActiveCfg = Release|x64
		{6680C748-156E-4B12-A61F-95BD2E857D2D}.Debug|Win32.ActiveCfg = Debug|Win32
		{6680C748-156E-4B12-A61F-95BD2E857D2D}.Debug|x64.ActiveCfg = Debug|x64
		{6680C748-156E-4B12-A61F-95BD2E857D2D}.Release|Win32.ActiveCfg = Release|Win32
		{6680C748-156E-4B12-A61F-95BD2E857D2D}.Release|x64.ActiveCfg = Release|x64
		{1408C4E8-F209-4375-84B3-086A2014A7FB}.Debug|Win32.ActiveCfg = Debug|Win32
		{1408C4E8-F209-4375-84B3-086A2014A7FB}.Debug|x64.ActiveCfg = Debug|x64
		{1408C4E8-F209-4375-84B3-086A2014A7FB}.Debug|x64.Build.0 = Debug|x64
		{1408C4E8-F209-4375-84B3-086A2014A7FB}.Release|Win32.ActiveCfg = Release|Win32
		{1408C4E8-F209-4375-84B3-086A2014A7FB}.Release|x64.ActiveCfg = Release|x64
		{BEF04863-377F-46EF-BF30-389DFBA43D8D}.Debug|Win32.ActiveCfg = Debug|Win32
		{BEF04863-377F-46EF-BF30-389DFBA43D8D}.Debug|Win32.Build.0 = Debug|Win32
		{BEF04863-377F-46EF-BF30-389DFBA43D8D}.Debug|x64.ActiveCfg = Debug|x64
		{BEF04863-377F-46EF-BF30-389DFBA43D8D}.Debug|x64.Build.0 = Debug|x64
		{BEF04863-377F-46EF-BF30-389DFBA43D8D}.Release|Win32.ActiveCfg = Release|Win32
		{BEF04863-377F-46EF-BF30-389DFBA43D8D}.Release|Win32.Build.0 = Release|Win32
		{BEF04863-377F-46EF-BF30-389DFBA43D8D}.Release|x64.ActiveCfg = Release|x64
		{BEF04863-377F-46EF-BF30-389DFBA43D8D}.Release|x64.Build.0 = Release|x64
		{C2AC8449-9181-4EF6-B78C-F65806711364}.Debug|Win32.ActiveCfg = Debug|Win32
		{C2AC8449-9181-4EF6-B78C-F65806711364}.Debug|Win32.Build.0 = Debug|Win32
		{C2AC8449-9181-4EF6-B78C-F65806711364}.Debug|x64.ActiveCfg = Debug|x64
		{C2AC8449-9181-4EF6-B78C-F65806711364}.Debug|x64.Build.0 = Debug|x64
		{C2AC8449-9181-4EF6-B78C-F65806711364}.Release|Win32.ActiveCfg = Release|Win32
		{C2AC8449-9181-4EF6-B78C-F65806711364}.Release|Win32.Build.0 = Release|Win32
		{C2AC8449-9181-4EF6-B78C-F65806711364}.Release|x64.ActiveCfg = Release|x64
		{C2AC8449-9181-4EF6-B78C-F65806711364}.Release|x64.Build.0 = Release|x64
		{FB1F8A7B-6B94-4B9D-9956-B1551914DF93}.Debug|Win32.ActiveCfg = Debug|Win32
		{FB1F8A7B-6B94-4B9D-9956-B1551914DF93}.Debug|Win32.Build.0 = Debug|Win32
		{FB1F8A7B-6B94-4B9D-9956-B1551914DF93}.Debug|x64.ActiveCfg = Debug|x64
		{FB1F8A7B-6B94-4B9D-9956-B1551914DF93}.Debug|x64.Build.0 = Debug|x64
		{FB1F8A7B-6B94-4B9D-9956-B1551914DF93}.Release|Win32.ActiveCfg = Release|Win32
		{FB1F8A7B-6B94-4B9D-9956-B1551914DF93}.Release|Win32.Build.0 = Release|Win32
		{FB1F8A7B-6B94-4B9D-9956-B1551914DF93}.Release|x64.ActiveCfg = Release|x64
		{FB1F8A7B-6B94-4B9D-9956-B1551914DF93}.Release|x64.Build.0 = Release|x64
		{6516C7A8-5F93-4BE9-B210-FE061CA0BCF5}.Debug|Win32.ActiveCfg = Debug|Win32
		{6516C7A8-5F93-4BE9-B210-FE061CA0BCF5}.Debug|Win32.Build.0 = Debug|Win32
		{6516C7A8-5F93-4BE9-B210-FE061CA0BCF5}.Debug|x64.ActiveCfg = Debug|x64
		{6516C7A8-5F93-4BE9-B210-FE061CA0BCF5}.Debug|x64.Build.0 = Debug|x64
		{6516C7A8-5F93-4BE9-B210-FE061CA0BCF5}.Release|Win32.ActiveCfg = Release|Win32
		{6516C7A8-5F93-4BE9-B210-FE061CA0BCF5}.Release|Win32.Build.0 = Release|Win32
		{6516C7A8-5F93-4BE9-B210-FE061CA0BCF5}.Release|x64.ActiveCfg = Release|x64
		{6516C7A8-5F93-4BE9-B210-FE061CA0BCF5}.Release|x64.Build.0 = Release|x64
		{3B02BFC6-238C-481E-A2EB-DE547C34CEAA}.Debug|Win32.ActiveCfg = Debug|Win32
		{3B02BFC6-238C-481E-A2EB-DE547C34CEAA}.Debug|Win32.Build.0 = Debug|Win32
		{3B02BFC6-238C-481E-A2EB-DE547C34CEAA}.Debug|x64.ActiveCfg = Debug|x64
		{3B02BFC6-238C-481E-A2EB-DE547C34CEAA}.Debug|x64.Build.0 = Debug|x64
		{3B02BFC6-238C-481E-A2EB-DE547C34CEAA}.Release|Win32.ActiveCfg = Release|Win32
		{3B02BFC6-238C-481E-A2EB-DE547C34CEAA}.Release|Win32.Build.0 = Release|Win32
		{3B02BFC6-238C-481E-A2EB-DE547C34CEAA}.Release|x64.ActiveCfg = Release|x64
		{3B02BFC6-238C-481E-A2EB-DE547C34CEAA}.Release|x64.Build.0 = Release|x64
	EndGlobalSection
	GlobalSection(SolutionProperties) = preSolution
		HideSolutionNode = FALSE
	EndGlobalSection
	GlobalSection(ExtensibilityGlobals) = postSolution
		SolutionGuid = {D5860410-47AC-4195-9B9C-CBEBF6CB0395}
	EndGlobalSection
EndGlobal
